Subject: Re: [PATCH] trace2: log progress time and throughput

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Mon, 21 Jun 2021 16:51:53 +0200

On Mon, Jun 21 2021, Elijah Newren wrote:

> On Sun, Jun 20, 2021 at 6:32 PM Ævar Arnfjörð Bjarmason
> <[email-masked]> wrote:
>>
>> On Tue, May 12 2020, Emily Shaffer wrote:
>>
>> [Replying to a change long-since merged into git.git's "master"]
>>
>> > Rather than teaching only one operation, like 'git fetch', how to write
>> > down throughput to traces, we can learn about a wide range of user
>> > operations that may seem slow by adding tooling to the progress library
>> > itself. Operations which display progress are likely to be slow-running
>> > and the kind of thing we want to monitor for performance anyways. By
>> > showing object counts and data transfer size, we should be able to
>> > make some derived measurements to ensure operations are scaling the way
>> > we expect.
>>
>> Did you end up using this data for anything?
>
> I know you were asking Emily, but independently, I found it useful
> while doing merge-ort and diffcore-rename optimizations.  I thought it
> was a clever idea for quickly adding more measurement regions easily,
> and wished I had thought of it myself earlier.

Indeed, the data's useful. I'm just wondering about the key name.

I saw after I sent this that this was brought up when the patch was
discussed, and the name was just left in there:

https://lore.kernel.org/git/[email-masked]/